<template>
  <div class="product">
    <div class="product_image">
      <a :href="album.url">
        <img
          :src="imageUrl"
          :alt="album.title"
          :class="{ product_adult: album.gender_name.includes('Adult') }"
        />
        <div
          v-if="album.gender_name.includes('Adult')"
          class="product_adult_disclaimer"
        >
          18+
        </div>
      </a>
      <span
        v-if="album.banner"
        :class="'product_label text--md product_banner-' + album.banner"
        >{{ $t('catalog.banner.' + album.banner) }}</span
      >
      <span v-if="album.rating > 0" :class="'product_rating text--md'">
        {{ $t('newsfeed.hisrate') }}
        <StarRank :avgstar="album.rating" :countnote="0" />
      </span>
    </div>
    <a :href="album.url">
      <h4
        v-if="$utils.getType(album) == 'volume'"
        class="product_title text text--sm text--primary text--bold"
      >
        {{
          $t('serie.volume', 1).charAt(0) +
          album.volume +
          ' ' +
          album.serie_name
        }}
      </h4>
      <h4
        v-else-if="$utils.getType(album) == 'chapter'"
        class="product_title text text--sm text--primary text--bold"
      >
        {{
          $t('serie.chapter', 1).charAt(0) +
          album.chapter +
          ' ' +
          album.serie_name
        }}
      </h4>
      <h4 v-else class="product_title text text--sm text--primary text--bold">
        {{ album.title }}
      </h4>
    </a>

    <StarRank :avgstar="album.rate" :countnote="album.rate_amount" />

    <router-link
      :to="{
        name: 'cataloggender',
        params: { shelf: album.shelf_slug, gender: album.gender_slug }
      }"
    >
      <p class="product_category text text--sm text--primary text--medium">
        {{ album.gender_name }}
      </p>
    </router-link>
  </div>
</template>

<script>
import StarRank from '~/components/ui/StarRank'

export default {
  name: 'ThumbAlbum',
  components: { StarRank },
  props: {
    album: {
      type: Object,
      required: true
    }
  },
  computed: {
    imageUrl() {
      return `${this.$config.izneoUrl}/${this.$i18n.locale}/images/album/${this.album.ean}-170or240.jpg?v=${this.album.version}`
    }
  }
}
</script>

<style scoped lang="scss">
.product_rating {
  top: auto;
  bottom: 180px;
}
.product--slider {
  pointer-events: auto !important;
  display: block !important;
}

.product {
  margin: 10px;
}
</style>
